Bug 23611 - Add export option to authorized values administration
Summary: Add export option to authorized values administration
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23612
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-13 16:45 UTC by Owen Leonard
Modified: 2019-10-07 13:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23611: Add export option to authorized values administration (2.06 KB, patch)
2019-09-13 18:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Exports nicely with all 4 options. Signing off. (2.11 KB, patch)
2019-09-17 02:29 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23611: (follow-up) Correct ID of table (1.34 KB, patch)
2019-10-02 15:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23611: (follow-up) Exclude "actions" column from export (1.05 KB, patch)
2019-10-03 14:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23611: Add export option to authorized values administration (2.17 KB, patch)
2019-10-03 14:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23611: (follow-up) Correct ID of table (1.39 KB, patch)
2019-10-03 14:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23611: (follow-up) Exclude "actions" column from export (1.10 KB, patch)
2019-10-03 14:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-09-13 16:45:00 UTC
I propose to add column configuration and export options to the authorized values administration page. The table would only have one toggle-able column, but I think the export options could be useful to libraries.
Comment 1 Owen Leonard 2019-09-13 18:21:55 UTC
(In reply to Owen Leonard from comment #0)

> The table would only have one toggle-able
> column

Now with a dependency on Bug 23612 I'm going to leave out the column configuration altogether and just include the export option.
Comment 2 Owen Leonard 2019-09-13 18:48:10 UTC Comment hidden (obsolete)
Comment 3 Lucas Gass 2019-09-17 02:29:38 UTC
Created attachment 92866 [details] [review]
Exports nicely with all 4 options. Signing off.

Bug 23611: Add export option to authorized values administration

This patch changes the authorized values DataTables configuration to add
export options.

To test apply the patch and go to Administration -> Authorized values.

Test the "Export" button and confirm that the data is exported correctly
with each option.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Katrin Fischer 2019-10-02 13:12:29 UTC
The patch appears to break sorting on the individual category pages (like HINGS_PF for example)
Comment 5 Owen Leonard 2019-10-02 15:54:29 UTC
Created attachment 93501 [details] [review]
Bug 23611: (follow-up) Correct ID of table

The DataTable configuration wasn't working on the table showing an
individual category's authorized values because of a mismatch in the
table id. This patch corrects it.

To test, apply the patch and view the "Authorized values" page.

The initial list of categories should be displayed as a DataTable. Click
through to see the values defined for any category. The resulting table
of values should also be a functioning DataTable.
Comment 6 Katrin Fischer 2019-10-03 07:23:24 UTC
Hi Owen, last request (I hope) - can you please remove the action buttons from the print view and other export options?
Comment 7 Owen Leonard 2019-10-03 14:01:47 UTC
Created attachment 93615 [details] [review]
Bug 23611: (follow-up) Exclude "actions" column from export

This patch adds a missing "noExport" class to ensure that the "actions"
column isn't included in export and print views.
Comment 8 Katrin Fischer 2019-10-03 14:21:04 UTC
Created attachment 93616 [details] [review]
Bug 23611: Add export option to authorized values administration

This patch changes the authorized values DataTables configuration to add
export options.

To test apply the patch and go to Administration -> Authorized values.

Test the "Export" button and confirm that the data is exported correctly
with each option.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-10-03 14:21:15 UTC
Created attachment 93617 [details] [review]
Bug 23611: (follow-up) Correct ID of table

The DataTable configuration wasn't working on the table showing an
individual category's authorized values because of a mismatch in the
table id. This patch corrects it.

To test, apply the patch and view the "Authorized values" page.

The initial list of categories should be displayed as a DataTable. Click
through to see the values defined for any category. The resulting table
of values should also be a functioning DataTable.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2019-10-03 14:21:18 UTC
Created attachment 93618 [details] [review]
Bug 23611: (follow-up) Exclude "actions" column from export

This patch adds a missing "noExport" class to ensure that the "actions"
column isn't included in export and print views.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Martin Renvoize 2019-10-07 13:10:42 UTC
Nice work!

Pushed to master for 19.11.00